@echo off

for %%i in (*.dpr) do dcc32 -cc %%i

for %%i in (??.t) do (
  copy %%i %%~ni > nul
)

javac gen_yes.java
java gen_yes

javac gen_rand.java
java gen_rand

javac gen_max.java
java gen_max
             
dcc32 -cc ..\check.dpr

call tall vu
call docheck vu_slow